From: Travis Spencer <tspencer@cs.pdx.edu>
Subject: [KJ] [PATCH 2.6.12-rc3] Supress warning caused by label being defined but unused

When the macro `__ISAPNP__' is undefined, the label `ready' is defined
but the only corresponding goto statement isn't .  This results in a
warning from the compiler.  To avoid this message, a `goto ready'
statement is added _just_ above the label.  Thus, when `__ISAPNP__'
isn't defined, the newly added `goto ready' is a noop and the compiler
is quiet.

Signed-off-by: Travis L. Spencer <tspencer@cs.pdx.edu>

---
 diva.c |    1 +
 1 files changed, 1 insertion(+)

Index: quilt/drivers/isdn/hisax/diva.c
===================================================================
--- quilt.orig/drivers/isdn/hisax/diva.c
+++ quilt/drivers/isdn/hisax/diva.c
@@ -1101,6 +1101,7 @@ setup_diva(struct IsdnCard *card)
 			bytecnt = 32;
 		}
 	}
+	goto ready; /* Assure that `ready' is used even if `__ISAPNP__' isn't. */
 ready:
 	printk(KERN_INFO
 		"Diva: %s card configured at %#lx IRQ %d\n",
