From: Jesse Millan <jessem@cs.pdx.edu>
Subject: [KJ] [PATCH] Fix gcc4 warning, file & fd may be used uninitialized in this function


This patch eliminates the warning that is generated when passing a
reference of an uninitialized variable to a function where it possible
that the function will return without initializing that variable.

Signed-off-by: Jesse Millan <jessem@cs.pdx.edu>

---
 eventpoll.c |    3 +++
 1 files changed, 3 insertions(+)

Index: quilt/fs/eventpoll.c
===================================================================
--- quilt.orig/fs/eventpoll.c
+++ quilt/fs/eventpoll.c
@@ -773,6 +773,9 @@ eexit_3:
 eexit_2:
 	put_filp(file);
 eexit_1:
+	/* Reference went uninitialized. */
+	*efd = 0;
+	*efile = NULL;
 	return error;
 }
 
